function contour(x,y,z,str)
 %
 xlin=linspace(min(x),max(x),33);
 ylin=linspace(min(y),max(y),33);
 [X,Y]=meshgrid(xlin,ylin);
 Z=griddata(x,y,z,X,Y,'nearest');
 %
 if nargin<4
     contour(X,Y,Z,7)
 else
     contour(X,Y,Z,str)
 end     